<bugID>746872<Summary>Console doing too much time in pruneConsoleOutputIfNecessary</Summary><Description>This is called on every console.log call.  It fetches preferences, does a slow querySelectorAll (in general, if you only want the first few elements in the list a getElementsByClassName will be _much_ faster, as long as you're careful to not get its .length), and forces layout computations.

For best results, coalescing calls to this across multiple log() calls would help with the layout stuff; the other parts just need optimizing.</Description></bugID>